## qmapshack 1.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

project(QMapShack)


if(WIN32)
set(QT_DEV_PATH   "C:\\Qt\\5.4\\msvc2013_64" CACHE PATH "Path to directory containing Qt5 include and lib, e.g. C:\\Qt5\\5.3\\msvc2013_64")
set(GDAL_DEV_PATH "C:\\GDAL" CACHE PATH "Path to directory containing GDAL include and lib, e.g. M:\\lib\\gdal")
set(PROJ_DEV_PATH "C:\\PROJ" CACHE PATH "Path to directory containing PROJ.4 include and lib, e.g. M:\\lib\\PROJ")
set(ZLIB_DEV_PATH "C:\\zlib" CACHE PATH "Path to directory containing zlib include and lib, e.g. M:\\lib\\zlib")
set(ROUTINO_DEV_PATH "C:\\temp\\routino" CACHE PATH "Path to directory containing zlib include and lib, e.g. M:\\lib\\zlib")
set(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} ${QT_DEV_PATH})
endif(WIN32)


set(APPLICATION_NAME qmapshack)

set(APPLICATION_VERSION_MAJOR "1")
set(APPLICATION_VERSION_MINOR "5")
set(APPLICATION_VERSION_PATCH "1")

add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH} -DAPPLICATION_NAME=${PROJECT_NAME})


if (APPLE)
  set(PROGNAME "QMapShack")
  set(CONFIGDIR "Library/Application Support/${PROGNAME}/")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS_INIT} -Wall -std=c++11 -stdlib=libc++")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -stdlib=libc++")
  SET(CMAKE_OSX_DEPLOYMENT_TARGET "10.7")
else(APPLE)
  set(PROGNAME qmapshack)
  set(CONFIGDIR ".config/QLandkarte/")
endif(APPLE)
if(MSVC)
  # Add link-time code generation to improve performance
  set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /GL")
  set(CMAKE_EXE_LINKER_FLAGS_RELEASE    "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /LTCG")
  set(CMAKE_MODULE_LINKER_FLAGS_RELEASE "${CMAKE_MODULE_LINKER_FLAGS_RELEASE} /LTCG")
  set(CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} /LTCG")
endif(MSVC)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake/Modules
)

# add definitions
include(DefineCMakeDefaults)
include(DefineCompilerFlags)
include(DefineInstallationPaths)
include(CPackConfig.cmake)

include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)


set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
add_subdirectory(src)


if (UNIX AND NOT WIN32 AND NOT APPLE)
  install(
    FILES
      qmapshack.desktop
    DESTINATION
      ${XDG_APPS_DIR}
  )

  install(
    FILES
      src/icons/48x48/QMapShack.png
    DESTINATION
      ${DATA_INSTALL_PREFIX}/pixmaps
  )

  install(
    FILES
      src/icons/48x48/QMapShack.png
    DESTINATION
      ${ICON_INSTALL_DIR}/hicolor/48x48/apps
  )

  install(
    FILES
      src/icons/32x32/QMapShack.png
    DESTINATION
      ${ICON_INSTALL_DIR}/hicolor/32x32/apps
  )

  install(
    FILES
      src/icons/QMapShack.svg
    DESTINATION
      ${ICON_INSTALL_DIR}/hicolor/scalable/apps
  )

  install(
    FILES
      qmapshack.1
    DESTINATION
      ${MAN_INSTALL_DIR}/man1
  )
endif (UNIX AND NOT WIN32 AND NOT APPLE)

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== src/CMakeLists.txt ===

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

# Find the QtWidgets library
find_package(Qt5Widgets)
find_package(Qt5Core)
find_package(Qt5Xml)
find_package(Qt5Script)
find_package(Qt5Sql)
find_package(Qt5WebKitWidgets)
find_package(Qt5LinguistTools)
find_package(Qt5PrintSupport)
if(UNIX)
find_package(Qt5DBus)
endif(UNIX)
find_package(GDAL REQUIRED)
find_package(PROJ REQUIRED)
find_package(ROUTINO REQUIRED)

if(UNIX)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif(UNIX)

if (APPLE)
     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -framework Foundation -framework DiskArbitration")
     SET(LINK_FLAGS "${LINK_FLAGS} -framework Foundation -framework DiskArbitration")
endif(APPLE)

if(APPLE)
     FIND_LIBRARY(DiskArbitration_LIBRARY DiskArbitration)
     FIND_LIBRARY(Foundation_LIBRARY Foundation)
endif(APPLE)


set( SRCS

    main.cpp
    GeoMath.cpp
    CMainWindow.cpp
    CAbout.cpp
    widgets/CTinySpinBox.cpp
    widgets/CDoubleSpinBox.cpp
    widgets/CFadingIcon.cpp
    widgets/CTextEditWidget.cpp
    widgets/CHistoryListWidget.cpp
    widgets/CPhotoAlbum.cpp
    widgets/CColorLegend.cpp
    helpers/CInputDialog.cpp
    helpers/CPositionDialog.cpp
    helpers/CWptIconDialog.cpp    
    helpers/CSelectProjectDialog.cpp
    helpers/CSelectCopyAction.cpp    
    helpers/CElevationDialog.cpp
    helpers/CLinksDialog.cpp    
    helpers/CPhotoViewer.cpp    
    helpers/CProgressDialog.cpp
    helpers/CCommandProcessor.cpp
    helpers/CAppSetup.cpp
    helpers/CDraw.cpp
    canvas/CCanvas.cpp
    canvas/CCanvasSetup.cpp
    canvas/IDrawContext.cpp
    canvas/IDrawObject.cpp
    dem/IDem.cpp
    map/IMapProp.cpp
    dem/IDemProp.cpp
    dem/CDemDraw.cpp
    dem/CDemVRT.cpp
    dem/CDemList.cpp
    dem/CDemItem.cpp
    dem/CDemPathSetup.cpp
    dem/CDemPropSetup.cpp    
    map/IMap.cpp
    map/CMapDraw.cpp
    map/CMapItem.cpp
    map/CMapList.cpp
    map/CMapRMAP.cpp
    map/CMapJNX.cpp
    map/CMapIMG.cpp
    map/CMapMAP.cpp
    map/CMapVRT.cpp
    map/CMapWMTS.cpp
    map/CMapTMS.cpp
    map/CMapPathSetup.cpp    
    map/CMapPropSetup.cpp
    map/garmin/IGarminStrTbl.cpp
    map/garmin/CGarminStrTbl6.cpp
    map/garmin/CGarminStrTbl8.cpp
    map/garmin/CGarminStrTblUtf8.cpp
    map/garmin/CGarminPoint.cpp
    map/garmin/CGarminPolygon.cpp
    map/garmin/CGarminTyp.cpp
    map/cache/CDiskCache.cpp
    map/cache/IDiskCache.cpp
    map/mapsforge/types.cpp
    units/IUnit.cpp
    units/CUnitImperial.cpp
    units/CUnitMetric.cpp
    units/CUnitNautic.cpp
    units/CTimeZoneSetup.cpp
    units/CUnitsSetup.cpp
    units/CCoordFormatSetup.cpp
    grid/CGrid.cpp
    grid/CGridSetup.cpp
    grid/CProjWizard.cpp
    grid/mitab.cpp
    mouse/IMouse.cpp    
    mouse/IScrOpt.cpp
    mouse/CMouseDummy.cpp
    mouse/CMouseNormal.cpp
    mouse/CMouseMoveWpt.cpp
    mouse/CMouseEditTrk.cpp
    mouse/CMouseEditRte.cpp
    mouse/CMouseEditArea.cpp
    mouse/CMouseRangeTrk.cpp
    mouse/CMouseWptBubble.cpp
    mouse/CMousePrint.cpp
    mouse/CScrOptUnclutter.cpp    
    mouse/CScrOptRangeTrk.cpp    
    mouse/line/IMouseEditLine.cpp
    mouse/line/CScrOptEditLine.cpp
    mouse/line/CScrOptRangeLine.cpp
    mouse/line/ILineOp.cpp
    mouse/line/CLineOpMovePoint.cpp
    mouse/line/CLineOpAddPoint.cpp
    mouse/line/CLineOpDeletePoint.cpp
    mouse/line/CLineOpSelectRange.cpp
    gis/WptIcons.cpp
    gis/CGisDraw.cpp
    gis/IGisItem.cpp
    gis/IGisLine.cpp
    gis/CGisWidget.cpp
    gis/CGisListDB.cpp
    gis/CGisListWks.cpp
    gis/CSelDevices.cpp
    gis/prj/IGisProject.cpp
    gis/prj/CDetailsPrj.cpp
    gis/gpx/CGpxProject.cpp
    gis/gpx/serialization.cpp
    gis/qms/CQmsProject.cpp
    gis/qms/serialization.cpp
    gis/tnv/CTwoNavProject.cpp
    gis/tnv/serialization.cpp
    gis/db/IDB.cpp
    gis/db/CSetupDatabase.cpp
    gis/db/CSetupWorkspace.cpp
    gis/db/CSetupFolder.cpp
    gis/db/IDBFolder.cpp
    gis/db/CDBFolderLostFound.cpp
    gis/db/CDBFolderDatabase.cpp
    gis/db/CDBFolderGroup.cpp
    gis/db/CDBFolderOther.cpp
    gis/db/CDBFolderProject.cpp
    gis/db/CDBItem.cpp
    gis/db/CDBProject.cpp
    gis/db/CLostFoundProject.cpp
    gis/db/CSelectSaveAction.cpp
    gis/db/CSelectDBFolder.cpp
    gis/search/CSearchGoogle.cpp
    gis/wpt/CGisItemWpt.cpp
    gis/wpt/CScrOptWpt.cpp
    gis/wpt/CDetailsWpt.cpp
    gis/wpt/CDetailsGeoCache.cpp
    gis/wpt/CProjWpt.cpp
    gis/wpt/CSetupNewWpt.cpp
    gis/trk/CGisItemTrk.cpp
    gis/trk/CScrOptTrk.cpp
    gis/trk/CDetailsTrk.cpp
    gis/trk/CCombineTrk.cpp
    gis/trk/CCutTrk.cpp
    gis/trk/CSelectActivity.cpp
    gis/trk/CActivityTrk.cpp
    gis/trk/CPropertyTrk.cpp
    gis/trk/CKnownExtension.cpp
    gis/trk/filter/filter.cpp
    gis/trk/filter/CFilterDouglasPeuker.cpp
    gis/trk/filter/CFilterInvalid.cpp
    gis/trk/filter/CFilterReset.cpp
    gis/trk/filter/CFilterDelete.cpp
    gis/trk/filter/CFilterMedian.cpp
    gis/trk/filter/CFilterReplaceElevation.cpp
    gis/trk/filter/CFilterOffsetElevation.cpp
    gis/trk/filter/CFilterNewDate.cpp
    gis/trk/filter/CFilterObscureDate.cpp
    gis/trk/filter/CFilterSpeed.cpp
    gis/rte/CGisItemRte.cpp
    gis/rte/CScrOptRte.cpp
    gis/rte/CCreateRouteFromWpt.cpp
    gis/rte/CDetailsRte.cpp
    gis/rte/router/IRouter.cpp
    gis/rte/router/CRouterSetup.cpp
    gis/rte/router/CRouterRoutino.cpp
    gis/rte/router/CRouterMapQuest.cpp
    gis/rte/router/CRouterRoutinoPathSetup.cpp        
    gis/ovl/CGisItemOvlArea.cpp
    gis/ovl/CScrOptOvlArea.cpp
    gis/ovl/CDetailsOvlArea.cpp    
    plot/IPlot.cpp
    plot/CPlotAxis.cpp
    plot/CPlotAxisTime.cpp    
    plot/CPlotData.cpp
    plot/CPlotProfile.cpp
    plot/ITrack.cpp
    plot/CPlotTrack.cpp
    plot/CPlot.cpp
    qlgt/converter.cpp
    qlgt/CQlb.cpp
    qlgt/IItem.cpp
    qlgt/CQlgtFolder.cpp
    qlgt/CQlgtWpt.cpp
    qlgt/CQlgtTrack.cpp
    qlgt/CQlgtRoute.cpp
    qlgt/CQlgtDiary.cpp
    qlgt/IQlgtOverlay.cpp    
    qlgt/CQlgtDb.cpp
    qlgt/CQmsDb.cpp
    device/IDeviceWatcher.cpp
    device/IDevice.cpp
    device/CDeviceGarmin.cpp
    device/CDeviceTwoNav.cpp
    tool/IToolShell.cpp
    tool/CMapVrtBuilder.cpp
    tool/CImportDatabase.cpp
    tool/CRoutinoDatabaseBuilder.cpp
    print/CPrintDialog.cpp
)

if(UNIX AND NOT APPLE)
set( SRCS
    ${SRCS}
    device/CDeviceWatcherLinux.cpp
)
endif(UNIX AND NOT APPLE)

if (APPLE)
set( SRCS
    ${SRCS}
    device/CDeviceWatcherMac.cpp
)
endif(APPLE)

if(WIN32)
set( SRCS
    ${SRCS}
    device/CDeviceWatcherWindows.cpp
)
endif(WIN32)


set( HDRS

    version.h
    GeoMath.h
    CMainWindow.h
    CAbout.h
    widgets/CTinySpinBox.h
    widgets/CDoubleSpinBox.h
    widgets/CFadingIcon.h
    widgets/CHistoryListWidget.h
    widgets/CTextEditWidget.h
    widgets/CPhotoAlbum.h
    widgets/CColorLegend.h
    helpers/Platform.h
    helpers/CFileExt.h
    helpers/CAppOpts.h
    helpers/CSettings.h
    helpers/CInputDialog.h
    helpers/CPositionDialog.h
    helpers/CSelectCopyAction.h
    helpers/CWptIconDialog.h
    helpers/CSelectProjectDialog.h
    helpers/CElevationDialog.h
    helpers/CLinksDialog.h    
    helpers/CPhotoViewer.h   
    helpers/CProgressDialog.h
    helpers/CCommandProcessor.h
    helpers/CAppSetup.h
    helpers/CDraw.h
    canvas/CCanvas.h
    canvas/CCanvasSetup.h
    canvas/IDrawContext.h
    canvas/IDrawObject.h
    dem/IDem.h
    dem/IDemProp.h
    dem/CDemDraw.h
    dem/CDemVRT.h
    dem/CDemList.h
    dem/CDemItem.h
    dem/CDemPathSetup.h
    dem/CDemPropSetup.h
    map/IMap.h
    map/IMapProp.h
    map/CMapDraw.h
    map/CMapItem.h
    map/CMapList.h
    map/CMapRMAP.h
    map/CMapJNX.h
    map/CMapIMG.h
    map/CMapMAP.h
    map/CMapVRT.h
    map/CMapWMTS.h
    map/CMapTMS.h
    map/CMapPathSetup.h
    map/CMapPropSetup.h    
    map/garmin/Garmin.h
    map/garmin/IGarminStrTbl.h
    map/garmin/CGarminStrTbl6.h
    map/garmin/CGarminStrTbl8.h
    map/garmin/CGarminStrTblUtf8.h
    map/garmin/CGarminPoint.h
    map/garmin/CGarminPolygon.h
    map/garmin/CGarminTyp.h
    map/cache/CDiskCache.h
    map/cache/IDiskCache.h
    map/mapsforge/types.h
    units/IUnit.h
    units/CUnitImperial.h
    units/CUnitMetric.h
    units/CUnitNautic.h
    units/CTimeZoneSetup.h
    units/CUnitsSetup.h
    units/CCoordFormatSetup.h
    grid/CGrid.h
    grid/CGridSetup.h
    grid/CProjWizard.h
    grid/mitab.h
    mouse/IMouse.h    
    mouse/IScrOpt.h
    mouse/CMouseDummy.h
    mouse/CMouseNormal.h
    mouse/CMouseMoveWpt.h
    mouse/CMouseEditTrk.h
    mouse/CMouseEditRte.h
    mouse/CMouseEditArea.h
    mouse/CMouseRangeTrk.h
    mouse/CMouseWptBubble.h
    mouse/CMousePrint.h
    mouse/CScrOptUnclutter.h
    mouse/CScrOptRangeTrk.h    
    mouse/line/CScrOptEditLine.h
    mouse/line/CScrOptRangeLine.h
    mouse/line/IMouseEditLine.h
    mouse/line/ILineOp.h
    mouse/line/CLineOpMovePoint.h
    mouse/line/CLineOpAddPoint.h
    mouse/line/CLineOpDeletePoint.h
    mouse/line/CLineOpSelectRange.h    
    gis/WptIcons.h
    gis/CGisDraw.h
    gis/IGisItem.h
    gis/IGisLine.h
    gis/prj/IGisProject.h
    gis/prj/CDetailsPrj.h
    gis/CGisWidget.h
    gis/CGisListDB.h
    gis/CGisListWks.h
    gis/CSelDevices.h
    gis/qms/CQmsProject.h
    gis/tnv/CTwoNavProject.h
    gis/db/IDB.cpp
    gis/db/macros.h
    gis/db/CSetupDatabase.h
    gis/db/CSetupWorkspace.h
    gis/db/CSetupFolder.h
    gis/db/IDBFolder.h
    gis/db/CDBFolderLostFound.h
    gis/db/CDBFolderDatabase.h
    gis/db/CDBFolderGroup.h
    gis/db/CDBFolderOther.h
    gis/db/CDBFolderProject.h
    gis/db/CDBItem.h
    gis/db/CDBProject.h
    gis/db/CLostFoundProject.h
    gis/db/CSelectSaveAction.h
    gis/db/CSelectDBFolder.h
    gis/wpt/CGisItemWpt.h
    gis/wpt/CScrOptWpt.h
    gis/wpt/CDetailsWpt.h
    gis/wpt/CDetailsGeoCache.h
    gis/wpt/CProjWpt.h
    gis/wpt/CSetupNewWpt.h
    gis/trk/CGisItemTrk.h
    gis/trk/CScrOptTrk.h
    gis/trk/CDetailsTrk.h
    gis/trk/CCombineTrk.h
    gis/trk/CCutTrk.h
    gis/trk/CSelectActivity.h
    gis/trk/CActivityTrk.h
    gis/trk/CPropertyTrk.h
    gis/trk/CKnownExtension.h
    gis/trk/filter/CFilterDouglasPeuker.h
    gis/trk/filter/CFilterInvalid.h
    gis/trk/filter/CFilterReset.h
    gis/trk/filter/CFilterDelete.h
    gis/trk/filter/CFilterMedian.h
    gis/trk/filter/CFilterReplaceElevation.h
    gis/trk/filter/CFilterOffsetElevation.h
    gis/trk/filter/CFilterNewDate.h
    gis/trk/filter/CFilterObscureDate.h
    gis/trk/filter/CFilterSpeed.h
    gis/rte/CGisItemRte.h
    gis/rte/CScrOptRte.h
    gis/rte/CCreateRouteFromWpt.h
    gis/rte/CDetailsRte.h
    gis/rte/router/IRouter.h
    gis/rte/router/CRouterSetup.h
    gis/rte/router/CRouterRoutino.h
    gis/rte/router/CRouterMapQuest.h
    gis/rte/router/CRouterRoutinoPathSetup.h    
    gis/ovl/CGisItemOvlArea.h
    gis/ovl/CScrOptOvlArea.h
    gis/ovl/CDetailsOvlArea.h    
    gis/gpx/CGpxProject.h
    gis/search/CSearchGoogle.h
    plot/IPlot.h
    plot/CPlotAxis.h
    plot/CPlotAxisTime.h
    plot/CPlotData.h
    plot/CPlotProfile.h
    plot/ITrack.h
    plot/CPlotTrack.h
    plot/CPlot.h
    qlgt/CQlb.h
    qlgt/IItem.h
    qlgt/CQlgtFolder.h
    qlgt/CQlgtWpt.h
    qlgt/CQlgtTrack.h
    qlgt/CQlgtRoute.h
    qlgt/CQlgtDiary.h
    qlgt/IQlgtOverlay.h
    qlgt/CQlgtDb.h
    qlgt/CQmsDb.h
    device/IDeviceWatcher.h    
    device/IDevice.h
    device/CDeviceGarmin.h
    device/CDeviceTwoNav.h
    tool/IToolShell.h
    tool/CMapVrtBuilder.h
    tool/CImportDatabase.h
    tool/CRoutinoDatabaseBuilder.h
    print/CPrintDialog.h
)

if(UNIX AND NOT APPLE)
set( HDRS
    ${HDRS}
    device/CDeviceWatcherLinux.h
)
endif(UNIX AND NOT APPLE)

if(APPLE)
set( HDRS
    ${HDRS}
    device/CDeviceWatcherMac.h
    )
endif(APPLE)

if(WIN32)
set( HDRS
    ${HDRS}
    device/CDeviceWatcherWindows.h
)
endif(WIN32)

set( UIS
    IMainWindow.ui
    IAbout.ui
    widgets/ITextEditWidget.ui
    widgets/IPhotoAlbum.ui
    helpers/IInputDialog.ui
    helpers/IPositionDialog.ui
    helpers/IWptIconDialog.ui

=== cmake/Modules/CMakeLists.txt ===
# install the cmake files

file(GLOB cmakeFiles "${CMAKE_CURRENT_SOURCE_DIR}/*.cmake")

set(module_install_dir ${DATA_INSTALL_DIR}/cmake/modules )

install(
  FILES
    ${cmakeFiles}
  DESTINATION
  ${module_install_dir}
)
# the files listed here will be removed by remove_obsoleted_cmake_files.cmake, Alex
set(FILES_TO_REMOVE
)

install(SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/remove_files.cmake )

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/remove_files.cmake "#generated by cmake, dont edit\n\n")
foreach ( _current_FILE ${FILES_TO_REMOVE})
   file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/remove_files.cmake "message(STATUS \"Removing ${module_install_dir}/${_current_FILE}\" )\n" )
   file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/remove_files.cmake "exec_program( ${CMAKE_COMMAND} ARGS -E remove ${module_install_dir}/${_current_FILE} OUTPUT_VARIABLE _dummy)\n" )
endforeach ( _current_FILE)

=== debian/changelog ===
qmapshack (1.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Nov 2015 18:49:33 +0100

qmapshack (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update paths for moved files in copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Nov 2015 17:00:59 +0100

qmapshack (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file, changes:
    - Group copyright holders by license
    - Add Christian Eichler to copyright holders
  * Drop hicolor-icons.patch, applied upstream.
  * Add patch to drop Routino_Version requirement,
    not available in Routino 3.0 yet.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Nov 2015 15:00:41 +0100

qmapshack (1.3.1-3) unstable; urgency=medium

  * Disable icon regeneration on powerpc, inkscape fails there too.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 23 Oct 2015 00:35:46 +0200

qmapshack (1.3.1-2) unstable; urgency=medium

  * Use desktop file in favor of menu file per CTTE #741573.
  * Add patch to install QMapShack icon in hicolor theme too.
  * Rebuild for gdal transition.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 22 Oct 2015 20:41:53 +0200

qmapshack (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop license & copyright for 3rdparty code, no longer included.
  * Add build dependency on libroutino-dev.
  * Override dh_install to use --list-missing.
  * Don't remove planetsplitter, no longer built.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 18 Sep 2015 15:43:39 +0200

=== debian/control ===
Source: qmapshack
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9.20120417~),
               inkscape,
               libgdal-dev (>= 1.10.1-0~),
               libproj-dev,
               libroutino-dev,
               libqt5opengl5-dev,
               libqt5webkit5-dev,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               qtscript5-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/qmapshack.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/qmapshack.git
Homepage: https://bitbucket.org/maproom/qmapshack/wiki/Home

Package: qmapshack
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libqt5sql5-sqlite
Recommends: gdal-bin,
            routino
Suggests: gpsd
Description: GPS mapping (GeoTiff and vector) and GPSr management
 This package provides a versatile tool for GPS maps in GeoTiff format as
 well as Garmin's img vector map format.
 You can also view and edit your GPX tracks.
 QMapShack is the successor of QLandkarteGT.
 .
 Main features:
  - Use of several workspaces.
  - Use several maps on a workspace.
  - Handle data project-oriented.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

export QT_SELECT := qt5

# one ring to rule them all ...
%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_VERBOSE_MAKEFILE=1

override_dh_auto_build:
ifeq (,$(findstring $(DEB_HOST_ARCH),"arm64 powerpc"))
	# Don't regenerate icons on arm64, inkscape fails
	$(RM) $(CURDIR)/src/icons/16x16/*
	$(RM) $(CURDIR)/src/icons/32x32/*
	$(RM) $(CURDIR)/src/icons/48x48/*
	$(RM) $(CURDIR)/src/icons/cache/32x32/*
	$(RM) $(CURDIR)/src/icons/waypoints/32x32/*
	$(RM) $(CURDIR)/src/pics/compass.png

	cd $(CURDIR)/src/icons/ && bash makeicons
	cd $(CURDIR)/src/icons/cache/ && bash makeicons
	cd $(CURDIR)/src/icons/waypoints/ && bash makeicons
	inkscape -D -w 180 -h 180 $(CURDIR)/src/pics/compass.svg --export-png=$(CURDIR)/src/pics/compass.png
endif

	dh_auto_build

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs changelog.txt

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/ \
https://bitbucket.org/maproom/qmapshack/downloads/ \
qmapshack-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## qmapshack 1.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,21 @@
 
 project(QMapShack)
 
+option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
+
+# Needed to properly handle extract translations strings when using the Ninja
+# generator.
+if (COMMAND CMAKE_POLICY)
+    if (POLICY CMP0058)
+        cmake_policy(SET CMP0058 NEW)
+    endif()
+endif()
 
 if(WIN32)
-set(QT_DEV_PATH   "C:\\Qt\\5.4\\msvc2013_64" CACHE PATH "Path to directory containing Qt5 include and lib, e.g. C:\\Qt5\\5.3\\msvc2013_64")
+set(QT_DEV_PATH   "C:\\Qt5\\5.5\\msvc2013_64" CACHE PATH "Path to directory containing Qt5 include and lib, e.g. C:\\Qt5\\5.5\\msvc2013_64")
 set(GDAL_DEV_PATH "C:\\GDAL" CACHE PATH "Path to directory containing GDAL include and lib, e.g. M:\\lib\\gdal")
 set(PROJ_DEV_PATH "C:\\PROJ" CACHE PATH "Path to directory containing PROJ.4 include and lib, e.g. M:\\lib\\PROJ")
-set(ZLIB_DEV_PATH "C:\\zlib" CACHE PATH "Path to directory containing zlib include and lib, e.g. M:\\lib\\zlib")
-set(ROUTINO_DEV_PATH "C:\\temp\\routino" CACHE PATH "Path to directory containing zlib include and lib, e.g. M:\\lib\\zlib")
+set(ROUTINO_DEV_PATH "C:\\routino" CACHE PATH "Path to directory containing routino include and lib, e.g. M:\\lib\\routino")
 set(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} ${QT_DEV_PATH})
 endif(WIN32)
 
@@ -16,8 +24,8 @@
 set(APPLICATION_NAME qmapshack)
 
 set(APPLICATION_VERSION_MAJOR "1")
-set(APPLICATION_VERSION_MINOR "5")
-set(APPLICATION_VERSION_PATCH "1")
+set(APPLICATION_VERSION_MINOR "6")
+set(APPLICATION_VERSION_PATCH "3")
 
 add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH} -DAPPLICATION_NAME=${PROJECT_NAME})
 
@@ -45,6 +53,10 @@
   ${CMAKE_SOURCE_DIR}/cmake/Modules
 )
 
+# Bring translation support in
+include(TranslateTs)
+include(TranslateDesktop)
+
 # add definitions
 include(DefineCMakeDefaults)
 include(DefineCompilerFlags)
@@ -57,16 +69,12 @@
 
 set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
 add_subdirectory(src)
+if(UNIX AND NOT APPLE)
+  add_subdirectory(test/unittest)
+endif(UNIX AND NOT APPLE)
 
 
 if (UNIX AND NOT WIN32 AND NOT APPLE)
-  install(
-    FILES
-      qmapshack.desktop
-    DESTINATION
-      ${XDG_APPS_DIR}
-  )
-
   install(
     FILES
       src/icons/48x48/QMapShack.png
@@ -75,24 +83,10 @@
   )
 
   install(
-    FILES
-      src/icons/48x48/QMapShack.png
+    DIRECTORY
+      src/icons/hicolor
     DESTINATION
-      ${ICON_INSTALL_DIR}/hicolor/48x48/apps
-  )
-
-  install(
-    FILES
-      src/icons/32x32/QMapShack.png
-    DESTINATION
-      ${ICON_INSTALL_DIR}/hicolor/32x32/apps
-  )
-
-  install(
-    FILES
-      src/icons/QMapShack.svg
-    DESTINATION
-      ${ICON_INSTALL_DIR}/hicolor/scalable/apps
+      ${ICON_INSTALL_DIR}
   )
 
   install(

=== src/CMakeLists.txt ===
# Prevent custom commands/targets outputs to be deleted by make clean
# We need this to prevent .ts files from being deleted with make clean, when
# UPDATE_TRANSLATIONS=ON
# WARNING: Only works with Makefile generator.
# See: https://cmake.org/gitweb?p=cmake.git;a=commitdiff;h=15c454fe
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM TRUE)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

# Find the QtWidgets library
find_package(Qt5Widgets)
find_package(Qt5Core)
find_package(Qt5Xml)
find_package(Qt5Script)
find_package(Qt5Sql)
find_package(Qt5WebKitWidgets)
find_package(Qt5LinguistTools)
find_package(Qt5PrintSupport)
if(UNIX)
find_package(Qt5DBus)
endif(UNIX)
find_package(GDAL REQUIRED)
find_package(PROJ REQUIRED)
find_package(ROUTINO REQUIRED)

if(${Qt5Widgets_VERSION} MATCHES "5\\.[0-2]+\\..*")
    message( SEND_ERROR "You need at least Qt5.3 or newer.")
endif()

function(cxx_add_flag_if_supported flag)
    CHECK_CXX_COMPILER_FLAG(${flag} Flag:${flag})
    if(Flag:${flag})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${flag}" PARENT_SCOPE)
    endif(Flag:${flag})
endfunction(cxx_add_flag_if_supported)

if(UNIX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif(UNIX)

if (APPLE)
     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -framework Foundation -framework DiskArbitration")
     SET(LINK_FLAGS "${LINK_FLAGS} -framework Foundation -framework DiskArbitration")
endif(APPLE)

if(APPLE)
     FIND_LIBRARY(DiskArbitration_LIBRARY DiskArbitration)
     FIND_LIBRARY(Foundation_LIBRARY Foundation)
endif(APPLE)


set( SRCS
        GeoMath.cpp
        CMainWindow.cpp
        CAbout.cpp
        widgets/CTinySpinBox.cpp
        widgets/CDoubleSpinBox.cpp
        widgets/CFadingIcon.cpp
        widgets/CTextEdit.cpp
        widgets/CTextEditWidget.cpp
        widgets/CTextEditWidgetSelMenu.cpp
        widgets/CLineEdit.cpp
        widgets/CHistoryListWidget.cpp
        widgets/CPhotoAlbum.cpp
        widgets/CColorLegend.cpp
        widgets/CColorChooser.cpp
        helpers/CInputDialog.cpp
        helpers/CPositionDialog.cpp
        helpers/CWptIconDialog.cpp
        helpers/CSelectProjectDialog.cpp
        helpers/CSelectCopyAction.cpp
        helpers/CElevationDialog.cpp
        helpers/CLinksDialog.cpp
        helpers/CPhotoViewer.cpp
        helpers/CProgressDialog.cpp
        helpers/CDraw.cpp
        helpers/CValue.cpp
        helpers/CLimit.cpp
        canvas/CCanvas.cpp
        canvas/CCanvasSetup.cpp
        canvas/IDrawContext.cpp
        canvas/IDrawObject.cpp
        dem/IDem.cpp
        map/IMapProp.cpp
        dem/IDemProp.cpp
        dem/CDemDraw.cpp
        dem/CDemVRT.cpp
        dem/CDemList.cpp
        dem/CDemItem.cpp
        dem/CDemPathSetup.cpp
        dem/CDemPropSetup.cpp
        map/IMap.cpp
        map/CMapDraw.cpp
        map/CMapGEMF.cpp
        map/CMapItem.cpp
        map/CMapList.cpp
        map/CMapRMAP.cpp
        map/CMapJNX.cpp
        map/CMapIMG.cpp
        map/CMapMAP.cpp
        map/CMapVRT.cpp
        map/CMapWMTS.cpp
        map/CMapTMS.cpp
        map/CMapPathSetup.cpp
        map/CMapPropSetup.cpp
        map/garmin/IGarminStrTbl.cpp
        map/garmin/CGarminStrTbl6.cpp
        map/garmin/CGarminStrTbl8.cpp
        map/garmin/CGarminStrTblUtf8.cpp
        map/garmin/CGarminPoint.cpp
        map/garmin/CGarminPolygon.cpp
        map/garmin/CGarminTyp.cpp
        map/cache/CDiskCache.cpp
        map/mapsforge/types.cpp
        units/IUnit.cpp
        units/CUnitImperial.cpp
        units/CUnitMetric.cpp
        units/CUnitNautic.cpp
        units/CTimeZoneSetup.cpp
        units/CUnitsSetup.cpp
        units/CCoordFormatSetup.cpp
        grid/CGrid.cpp
        grid/CGridSetup.cpp
        grid/CProjWizard.cpp
        grid/mitab.cpp
        mouse/IMouse.cpp
        mouse/IMouseSelect.cpp
        mouse/IScrOpt.cpp
        mouse/CMouseDummy.cpp
        mouse/CMouseNormal.cpp
        mouse/CMouseMoveWpt.cpp
        mouse/CMouseEditTrk.cpp
        mouse/CMouseEditRte.cpp
        mouse/CMouseEditArea.cpp
        mouse/CMouseRangeTrk.cpp
        mouse/CMouseWptBubble.cpp
        mouse/CMousePrint.cpp
        mouse/CMouseSelect.cpp
        mouse/CScrOptUnclutter.cpp
        mouse/CScrOptRangeTrk.cpp
        mouse/CScrOptSelect.cpp
        mouse/CScrOptPrint.cpp
        mouse/line/IMouseEditLine.cpp
        mouse/line/CScrOptEditLine.cpp
        mouse/line/CScrOptRangeLine.cpp
        mouse/line/ILineOp.cpp
        mouse/line/CLineOpMovePoint.cpp
        mouse/line/CLineOpAddPoint.cpp
        mouse/line/CLineOpDeletePoint.cpp
        mouse/line/CLineOpSelectRange.cpp
        gis/WptIcons.cpp
        gis/CGisDraw.cpp
        gis/IGisItem.cpp
        gis/IGisLine.cpp
        gis/CGisWidget.cpp
        gis/CGisListDB.cpp
        gis/CGisListWks.cpp
        gis/CSelDevices.cpp
        gis/prj/IGisProject.cpp
        gis/prj/CDetailsPrj.cpp
        gis/gpx/CGpxProject.cpp
        gis/gpx/serialization.cpp
        gis/qms/CQmsProject.cpp
        gis/qms/serialization.cpp
        gis/slf/CSlfProject.cpp
        gis/slf/CSlfReader.cpp
        gis/tnv/CTwoNavProject.cpp
        gis/tnv/serialization.cpp
        gis/db/IDB.cpp
        gis/db/IDBSqlite.cpp
        gis/db/IDBMysql.cpp
        gis/db/CSetupDatabase.cpp
        gis/db/CSetupWorkspace.cpp
        gis/db/CSetupFolder.cpp
        gis/db/IDBFolder.cpp
        gis/db/IDBFolderSql.cpp
        gis/db/CDBFolderLostFound.cpp
        gis/db/CDBFolderSqlite.cpp
        gis/db/CDBFolderMysql.cpp
        gis/db/CDBFolderGroup.cpp
        gis/db/CDBFolderOther.cpp
        gis/db/CDBFolderProject.cpp
        gis/db/CDBItem.cpp
        gis/db/CDBProject.cpp
        gis/db/CLostFoundProject.cpp
        gis/db/CSelectSaveAction.cpp
        gis/db/CSelectDBFolder.cpp
        gis/search/CSearchGoogle.cpp
        gis/wpt/CGisItemWpt.cpp
        gis/wpt/CScrOptWpt.cpp
        gis/wpt/CDetailsWpt.cpp
        gis/wpt/CDetailsGeoCache.cpp
        gis/wpt/CProjWpt.cpp
        gis/wpt/CSetupNewWpt.cpp
        gis/trk/CGisItemTrk.cpp
        gis/trk/CScrOptTrk.cpp
        gis/trk/CDetailsTrk.cpp
        gis/trk/CCombineTrk.cpp
        gis/trk/CCutTrk.cpp
        gis/trk/CSelectActivity.cpp
        gis/trk/CSelectActivityColor.cpp
        gis/trk/CActivityTrk.cpp
        gis/trk/CPropertyTrk.cpp
        gis/trk/CKnownExtension.cpp
        gis/trk/CTableTrk.cpp
        gis/trk/filter/filter.cpp
        gis/trk/filter/CFilterDouglasPeuker.cpp
        gis/trk/filter/CFilterInvalid.cpp
        gis/trk/filter/CFilterReset.cpp
        gis/trk/filter/CFilterDelete.cpp
        gis/trk/filter/CFilterDeleteExtension.cpp
        gis/trk/filter/CFilterMedian.cpp
        gis/trk/filter/CFilterReplaceElevation.cpp
        gis/trk/filter/CFilterOffsetElevation.cpp
        gis/trk/filter/CFilterNewDate.cpp
        gis/trk/filter/CFilterObscureDate.cpp
        gis/trk/filter/CFilterSpeed.cpp
        gis/trk/filter/CFilterSplitSegment.cpp
        gis/rte/CGisItemRte.cpp
        gis/rte/CScrOptRte.cpp
        gis/rte/CCreateRouteFromWpt.cpp
        gis/rte/CDetailsRte.cpp
        gis/rte/router/IRouter.cpp
        gis/rte/router/CRouterSetup.cpp
        gis/rte/router/CRouterRoutino.cpp
        gis/rte/router/CRouterMapQuest.cpp
        gis/rte/router/CRouterRoutinoPathSetup.cpp
        gis/ovl/CGisItemOvlArea.cpp
        gis/ovl/CScrOptOvlArea.cpp
        gis/ovl/CDetailsOvlArea.cpp
        gis/fit/CFitProject.cpp
        gis/fit/CFitStream.cpp
        gis/fit/serialization.cpp
        gis/fit/decoder/CFitMessage.cpp
        gis/fit/decoder/CFitField.cpp
        gis/fit/decoder/CFitDefinitionMessage.cpp
        gis/fit/decoder/CFitFieldDefinition.cpp
        gis/fit/defs/CFitProfile.cpp
        gis/fit/decoder/IFitDecoderState.cpp
        gis/fit/decoder/CFitHeaderState.cpp
        gis/fit/decoder/CFitRecordHeaderState.cpp
        gis/fit/decoder/CFitFieldDataState.cpp
        gis/fit/decoder/CFitFieldDefinitionState.cpp
        gis/fit/decoder/CFitRecordContentState.cpp
        gis/fit/decoder/CFitCrcState.cpp
        gis/fit/defs/CFitBaseType.cpp
        gis/fit/decoder/CFitDecoder.cpp
        gis/fit/defs/CFitProfileLookup.cpp
        gis/fit/defs/CFitFieldProfile.cpp
        gis/fit/decoder/CFitByteDataTransformer.cpp
        gis/fit/decoder/CFitFieldBuilder.cpp
        plot/IPlot.cpp
        plot/CPlotAxis.cpp
        plot/CPlotAxisTime.cpp
        plot/CPlotData.cpp
        plot/CPlotProfile.cpp
        plot/ITrack.cpp
        plot/CPlotTrack.cpp
        plot/CPlot.cpp
        qlgt/converter.cpp
        qlgt/CQlb.cpp
        qlgt/IItem.cpp
        qlgt/CQlgtFolder.cpp
        qlgt/CQlgtWpt.cpp
        qlgt/CQlgtTrack.cpp
        qlgt/CQlgtRoute.cpp
        qlgt/CQlgtDiary.cpp
        qlgt/IQlgtOverlay.cpp
        qlgt/CQlgtDb.cpp
        qlgt/CQmsDb.cpp
        device/IDeviceWatcher.cpp
        device/IDevice.cpp
        device/CDeviceGarmin.cpp
        device/CDeviceGarminArchive.cpp
        device/CDeviceTwoNav.cpp
        tool/IToolShell.cpp
        tool/CMapVrtBuilder.cpp
        tool/CImportDatabase.cpp
        tool/CRoutinoDatabaseBuilder.cpp
        print/CPrintDialog.cpp
        setup/IAppSetup.cpp
        setup/CAppSetupLinux.cpp
        setup/CAppSetupWin.cpp
        setup/CAppSetupMac.cpp
        setup/CCommandProcessor.cpp
        setup/CLogHandler.cpp
)

if(UNIX AND NOT APPLE)
set( SRCS
    ${SRCS}
    device/CDeviceWatcherLinux.cpp
)
endif(UNIX AND NOT APPLE)

if (APPLE)
set( SRCS
    ${SRCS}
    device/CDeviceWatcherMac.cpp
)
endif(APPLE)

if(WIN32)
set( SRCS
    ${SRCS}
    device/CDeviceWatcherWindows.cpp
)
endif(WIN32)


set( HDRS
        version.h
        GeoMath.h
        CMainWindow.h
        CAbout.h
        widgets/CTinySpinBox.h
        widgets/CDoubleSpinBox.h
        widgets/CFadingIcon.h
        widgets/CHistoryListWidget.h
        widgets/CTextEdit.h
        widgets/CTextEditWidget.h
        widgets/CTextEditWidgetSelMenu.h
        widgets/CLineEdit.h
        widgets/CPhotoAlbum.h
        widgets/CColorLegend.h
        widgets/CColorChooser.h
        helpers/Platform.h
        helpers/CFileExt.h
        helpers/CSettings.h
        helpers/CInputDialog.h
        helpers/CPositionDialog.h
        helpers/CSelectCopyAction.h
        helpers/CWptIconDialog.h
        helpers/CSelectProjectDialog.h
        helpers/CElevationDialog.h
        helpers/CLinksDialog.h
        helpers/CPhotoViewer.h
        helpers/CProgressDialog.h
        helpers/CDraw.h
        helpers/CValue.h
        helpers/CLimit.h
        helpers/Signals.h
        canvas/CCanvas.h
        canvas/CCanvasSetup.h
        canvas/IDrawContext.h
        canvas/IDrawObject.h
        dem/IDem.h
        dem/IDemProp.h
        dem/CDemDraw.h
        dem/CDemVRT.h
        dem/CDemList.h
        dem/CDemItem.h
        dem/CDemPathSetup.h
        dem/CDemPropSetup.h
        map/IMap.h
        map/IMapProp.h
        map/CMapDraw.h
        map/CMapGEMF.h
        map/CMapItem.h
        map/CMapList.h
        map/CMapRMAP.h
        map/CMapJNX.h
        map/CMapIMG.h
        map/CMapMAP.h
        map/CMapVRT.h
        map/CMapWMTS.h
        map/CMapTMS.h
        map/CMapPathSetup.h
        map/CMapPropSetup.h
        map/garmin/Garmin.h
        map/garmin/IGarminStrTbl.h
        map/garmin/CGarminStrTbl6.h
        map/garmin/CGarminStrTbl8.h
        map/garmin/CGarminStrTblUtf8.h
        map/garmin/CGarminPoint.h
        map/garmin/CGarminPolygon.h
        map/garmin/CGarminTyp.h
        map/cache/CDiskCache.h
        map/mapsforge/types.h
        units/IUnit.h
        units/CUnitImperial.h
        units/CUnitMetric.h
        units/CUnitNautic.h
        units/CTimeZoneSetup.h
        units/CUnitsSetup.h
        units/CCoordFormatSetup.h
        grid/CGrid.h
        grid/CGridSetup.h
        grid/CProjWizard.h
        grid/mitab.h
        mouse/IMouse.h
        mouse/IMouseSelect.h
        mouse/IScrOpt.h
        mouse/CMouseDummy.h

=== test/unittest/CMakeLists.txt ===
# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

find_package(Qt5Test)

find_package(Qt5Widgets)
find_package(Qt5Core)
find_package(Qt5Xml)
find_package(Qt5Script)
find_package(Qt5Sql)
find_package(Qt5WebKitWidgets)
find_package(Qt5LinguistTools)
find_package(Qt5PrintSupport)
if(UNIX)
find_package(Qt5DBus)
endif(UNIX)
find_package(GDAL REQUIRED)
find_package(PROJ REQUIRED)
find_package(ROUTINO REQUIRED)

if(UNIX)
    set(DBUS_LIB Qt5::DBus)
else(UNIX)
    set(DBUS_LIB)
endif(UNIX)

if(UNIX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif(UNIX)


include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../../src
)

include_directories(
    SYSTEM # this prevents warnings from non-QMS headers
    ${GDAL_INCLUDE_DIRS}
    ${PROJ_INCLUDE_DIRS}
    ${ROUTINO_INCLUDE_DIRS}
)

qt5_add_resources(RC_SRCS ./../../src/resources.qrc)

add_executable(qttest EXCLUDE_FROM_ALL
    main.cpp
    test_QMapShack.h
    CGpxProject.cpp
    CFitProject.cpp
    CQmsProject.cpp
    CSlfReader.cpp
    CKnownExtension.cpp
    TestHelper.cpp
    CGisItemTrk.cpp
    ${RC_SRCS})

# copy the input files required by the unittests to ./bin/input
file(COPY input DESTINATION ${CMAKE_BINARY_DIR}/bin/)

target_link_libraries(qttest
    Qt5::Widgets
    Qt5::Xml
    Qt5::Script
    Qt5::Sql
    Qt5::WebKitWidgets
    Qt5::PrintSupport
    Qt5::Test
    QMS
    ${DBUS_LIB}
    ${GDAL_LIBRARIES}
    ${PROJ_LIBRARIES}
    ${ROUTINO_LIBRARIES}
)

add_custom_command(
    OUTPUT tests_run.log
    COMMAND qttest
    DEPENDS qttest
    COMMENT "Executing the Unittests"
    VERBATIM
)

add_custom_target(
    run_tests
    DEPENDS tests_run.log
)

=== debian/changelog ===
qmapshack (1.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop separate Files section for CTextEditWidget.{cpp,h}, now GPL-3+ too.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Jul 2016 13:33:10 +0200

qmapshack (1.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to handle new tag convention and filenamemangling.
  * Drop patches applied upstream, refresh remaining patch.
  * Drop custom hicolor icons installation, fixed upstream.
  * Update copyright file, update years for Ivo Kronenberg,

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 Jul 2016 16:46:33 +0200

qmapshack (1.6.1-3) unstable; urgency=medium

  * Add patch to fix build failure with Qt5 < 5.4.
  * Install application icons in hicolor theme.
  * Bump Standards-Version to 3.9.8, changes: hicolor icons.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 May 2016 16:36:19 +0200

qmapshack (1.6.1-2) unstable; urgency=medium

  * Add patch for kFreeBSD support.
  * Add patch for Hurd support.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 26 Mar 2016 12:22:10 +0100

qmapshack (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Enable all hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 24 Mar 2016 21:15:01 +0100

qmapshack (1.6.0-2) unstable; urgency=medium

  * Require at least libroutino-dev 3.1 for Routino_Version symbol.
  * Drop routino-version.patch, not required for Routino 3.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Mar 2016 18:32:07 +0100

qmapshack (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Add patches for various typos.
  * Update copyright files, changes:
    - Update copyright years for Oliver Eichler & Christian Eichler
    - Add Peter Schumann & Ivo Kronenberg to copyright holders
  * Drop debugging-typo.patch, applied upstream.
    Refresh original-typo.patch, partially applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Feb 2016 22:15:38 +0100

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
                inkscape,
                libgdal-dev (>= 1.10.1-0~),
                libproj-dev,
-               libroutino-dev,
+               libroutino-dev (>= 3.1),
                libqt5opengl5-dev,
                libqt5webkit5-dev,
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools,
                qtscript5-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/qmapshack.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/qmapshack.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/qmapshack.git
 Homepage: https://bitbucket.org/maproom/qmapshack/wiki/Home
 
 Package: qmapshack

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

## qmapshack 1.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,8 +24,8 @@
 set(APPLICATION_NAME qmapshack)
 
 set(APPLICATION_VERSION_MAJOR "1")
-set(APPLICATION_VERSION_MINOR "6")
-set(APPLICATION_VERSION_PATCH "3")
+set(APPLICATION_VERSION_MINOR "7")
+set(APPLICATION_VERSION_PATCH "2")
 
 add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH} -DAPPLICATION_NAME=${PROJECT_NAME})
 
@@ -66,11 +66,20 @@
 include(ConfigureChecks.cmake)
 configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
+set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
 
-set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
+find_package(ALGLIB)
+
+if(NOT ALGLIB_FOUND)
+    set(ALGLIB_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/alglib/src)
+    set(ALGLIB_LIBRARIES alg)
+    add_subdirectory(3rdparty/alglib)
+endif(NOT ALGLIB_FOUND)
+
 add_subdirectory(src)
+
 if(UNIX AND NOT APPLE)
-  add_subdirectory(test/unittest)
+    add_subdirectory(test/unittest)
 endif(UNIX AND NOT APPLE)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -19,9 +19,9 @@
 find_package(Qt5WebKitWidgets)
 find_package(Qt5LinguistTools)
 find_package(Qt5PrintSupport)
-if(UNIX)
+if(UNIX AND NOT APPLE)
 find_package(Qt5DBus)
-endif(UNIX)
+endif(UNIX AND NOT APPLE)
 find_package(GDAL REQUIRED)
 find_package(PROJ REQUIRED)
 find_package(ROUTINO REQUIRED)
@@ -188,6 +188,9 @@
         gis/db/CLostFoundProject.cpp
         gis/db/CSelectSaveAction.cpp
         gis/db/CSelectDBFolder.cpp
+        gis/db/CSearchDatabase.cpp
+        gis/db/CExportDatabase.cpp
+        gis/db/CExportDatabaseThread.cpp
         gis/search/CSearchGoogle.cpp
         gis/wpt/CGisItemWpt.cpp
         gis/wpt/CScrOptWpt.cpp
@@ -200,7 +203,6 @@
         gis/trk/CDetailsTrk.cpp
         gis/trk/CCombineTrk.cpp
         gis/trk/CCutTrk.cpp
-        gis/trk/CSelectActivity.cpp
         gis/trk/CSelectActivityColor.cpp
         gis/trk/CActivityTrk.cpp
         gis/trk/CPropertyTrk.cpp
@@ -210,15 +212,18 @@
         gis/trk/filter/CFilterDouglasPeuker.cpp
         gis/trk/filter/CFilterInvalid.cpp
         gis/trk/filter/CFilterReset.cpp
+        gis/trk/filter/CFilterSubPt2Pt.cpp
         gis/trk/filter/CFilterDelete.cpp
         gis/trk/filter/CFilterDeleteExtension.cpp
         gis/trk/filter/CFilterMedian.cpp
         gis/trk/filter/CFilterReplaceElevation.cpp
+        gis/trk/filter/CFilterInterpolateElevation.cpp
         gis/trk/filter/CFilterOffsetElevation.cpp
         gis/trk/filter/CFilterNewDate.cpp
         gis/trk/filter/CFilterObscureDate.cpp
         gis/trk/filter/CFilterSpeed.cpp
         gis/trk/filter/CFilterSplitSegment.cpp
+        gis/trk/CTrackData.cpp
         gis/rte/CGisItemRte.cpp
         gis/rte/CScrOptRte.cpp
         gis/rte/CCreateRouteFromWpt.cpp
@@ -386,12 +391,3 @@
         units/CUnitNautic.h
         units/CTimeZoneSetup.h
         units/CUnitsSetup.h
-        units/CCoordFormatSetup.h
-        grid/CGrid.h
-        grid/CGridSetup.h
-        grid/CProjWizard.h
-        grid/mitab.h
-        mouse/IMouse.h
-        mouse/IMouseSelect.h
-        mouse/IScrOpt.h
-        mouse/CMouseDummy.h

=== test/unittest/CMakeLists.txt ===
--- 
+++ 
@@ -41,6 +41,7 @@
     ${GDAL_INCLUDE_DIRS}
     ${PROJ_INCLUDE_DIRS}
     ${ROUTINO_INCLUDE_DIRS}
+    ${ALGLIB_INCLUDE_DIRS}
 )
 
 qt5_add_resources(RC_SRCS ./../../src/resources.qrc)
@@ -73,6 +74,7 @@
     ${GDAL_LIBRARIES}
     ${PROJ_LIBRARIES}
     ${ROUTINO_LIBRARIES}
+    ${ALGLIB_LIBRARIES}
 )
 
 add_custom_command(

=== debian/changelog ===
qmapshack (1.7.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 24 Dec 2016 11:23:10 +0100

qmapshack (1.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Disable icon regeneration on mips64el, inkscape fails there too.
  * Add libalglib-dev to build dependencies.
  * Add license & copyright for alglib.
  * Add patch to tweak FindALGLIB.cmake for Debian package.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Dec 2016 17:13:01 +0100

qmapshack (1.7.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 19 Sep 2016 09:29:15 +0200

qmapshack (1.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Sep 2016 14:19:02 +0200

qmapshack (1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Disable icon regeneration on hurd-i386, inkscape fails there too.
  * Update copyright file, add Rainer Woitok to copyright holders.
  * Drop original-typo.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Sep 2016 10:06:55 +0200

qmapshack (1.6.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Drop patch to fix upstream issue #149, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Jul 2016 18:11:50 +0200

qmapshack (1.6.2-1~bpo8+2) jessie-backports; urgency=medium

  * Add patch to fix upstream issue #149.
    An empty (not default-initialized) cachePath causes deletion of files in
    cwd; cachePath should never be empty at all...

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Jul 2016 14:09:32 +0200

qmapshack (1.6.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 09 Jul 2016 12:03:30 +0200

qmapshack (1.6.1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Add patch to fix build failure with Qt5 < 5.4.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Apr 2016 19:42:01 +0200

qmapshack (1.6.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 17 Mar 2016 20:44:44 +0100

qmapshack (1.5.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 28 Nov 2015 20:00:14 +0100

qmapshack (1.4.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Drop qt53-qFormatLogMessage.patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Nov 2015 14:01:25 +0100

qmapshack (1.3.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Add patch to fix compatibility with Qt 5.3.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 26 Sep 2015 21:35:25 +0200

qmapshack (1.3.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Jul 2015 19:15:48 +0200

qmapshack (1.2.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Update branch in gbp.conf and Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 11 May 2015 19:59:52 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: cmake,
                debhelper (>= 9.20120417~),
                inkscape,
+               libalglib-dev,
                libgdal-dev (>= 1.10.1-0~),
                libproj-dev,
                libroutino-dev (>= 3.1),
@@ -18,7 +19,7 @@
                qtscript5-dev
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/qmapshack.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/qmapshack.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/qmapshack.git -b jessie-backports
 Homepage: https://bitbucket.org/maproom/qmapshack/wiki/Home
 
 Package: qmapshack
